#ifndef SELFMOVESPELL_H
#define SELFMOVESPELL_H
#include "spells\spell.h"

class SelfMoveSpell : public Spell {
public:
    SelfMoveSpell(QString param) : Spell(param) {}

    void CastSpell(Cell* from, Cell* where, Unit* who, Unit* whom) override;
    bool canCastToCell(Cell* destination, Cell* from) override;
};

#endif // SELFMOVESPELL_H
